Skip to content

Retrieves Buy order information.

GET
/api/v2/buy/orders/{id}

A client token reads any buy order of its own client. An api-key is a public integration secret, so it only reads the order of the end user whose credential accompanies it.

id
required
string

Order status retrieved successfully.

object
id
required

The order id.

integer
Example
1
date
required

The date and time of the order.

string format: date-time
Example
2019-11-11T16:11:02Z
partnerOrderIdentifier

Unique identifier provided by the partner.

string
nullable
Example
4ea2b5e9-a413-4359-a8f6-9263ae8a0ee7
currencyPair
required

The currency pair of the order.

string
Example
BTC-EUR
paymentMethod
required

The payment method used for the order.

string
Example
iDeal
walletAddress
required

The address of the wallet.

string
Example
test-wallet-happy-flow
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
status
required

The current status of the order.

string
Example
cancelled
isDcaOrder
required

The order was created because of a DCA deposit.

boolean
isEstimatedQuote
required

The order was created based on an estimated quote.

boolean
fiatAmount
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
cryptoAmount
required
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
fees
required
object
partnerFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
partnerFeePercentage

The fee earned by the partner in terms of a percentage for this order.

number
nullable
Example
1.5
paymentMethodFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
networkFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
btcdirectFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
spreadFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
affiliateFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
blockchainInfo
One of:
object
walletAddress
required

The address of the wallet.

string
""
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
walletExplorer
required

Link to the wallet on the wallet explorer.

string
""
Example
https://www.blockchain.com/btc/address/3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
transactionId
required

The unique transaction id.

string
""
Example
f5d8ee39a430901c91a5917b9f2dc19d6d1a0e9cea205b009ca73dd04470b9a6
transactionExplorer
required

Link to the transaction on the blockchain explorer.

string
""
Example
https://www.blockchain.com/btc/tx/f5d8ee39a430901c91a5917b9f2dc19d6d1a0e9cea205b009ca73dd04470b9a6
expiresAt

The expiry date-time that expires this confirmed quote. After this period it is no longer possible to pay for this order.

string format: date-time
nullable
Example
2025-04-07T18:30:00Z
sourceCurrency
One of:

Currency details including optional CAIP-19 asset identifier

object
code
required

The currency code.

string
Example
USDC_SOL
ticker
required

The currency ticker.

string
Example
USDC
name
required

The human-readable currency name.

string
Example
USD Coin (Solana)
caip19
required

CAIP-19 chain-agnostic asset identifier, e.g. solana:5eykt…/spl:EPjFWdd5…

string
Example
solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp/spl:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
targetCurrency
One of:

Currency details including optional CAIP-19 asset identifier

object
code
required

The currency code.

string
Example
USDC_SOL
ticker
required

The currency ticker.

string
Example
USDC
name
required

The human-readable currency name.

string
Example
USD Coin (Solana)
caip19
required

CAIP-19 chain-agnostic asset identifier, e.g. solana:5eykt…/spl:EPjFWdd5…

string
Example
solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp/spl:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER033 ER034 ER035 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER033": {
"code": "ER033",
"message": "Missing order id parameter.",
"solution": "Supply an order id parameter."
},
"ER034": {
"code": "ER034",
"message": "Invalid order id parameter.",
"solution": "Order id parameter can only be a number."
},
"ER035": {
"code": "ER035",
"message": "An order with the supplied id was not found.",
"solution": "Supply a valid order id."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}